summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorDet2015-06-14 04:55:47 +0300
committerDet2015-06-14 05:05:14 +0300
commitb8ecc3d83e856f2165aeb81b0b802d968ffc287f (patch)
tree15340f71c6251dd8d680ca559569a47133c171ff
parent60068ea156705ab234c7ff969bbafb8fdef0b700 (diff)
downloadaur-b8ecc3d83e856f2165aeb81b0b802d968ffc287f.tar.gz
Fix Web interface 'Provides' + Loop it in PKGBUILD
-rw-r--r--.SRCINFO6
-rwxr-xr-x[-rw-r--r--]PKGBUILD11
2 files changed, 7 insertions, 10 deletions
diff --git a/.SRCINFO b/.SRCINFO
index d2e94b0d485..146728576b0 100644
--- a/.SRCINFO
+++ b/.SRCINFO
@@ -78,9 +78,9 @@ pkgname = xorg-server-git
depends = xf86-input-evdev
depends = libxshmfence
depends = libgl
- provides = X-ABI-VIDEODRV_VERSION=
- provides = X-ABI-XINPUT_VERSION=
- provides = X-ABI-EXTENSION_VERSION=
+ provides = X-ABI-VIDEODRV_VERSION=19.0
+ provides = X-ABI-XINPUT_VERSION=22.1
+ provides = X-ABI-EXTENSION_VERSION=9.0
provides = x-server
provides = xorg-server
conflicts = nvidia-utils<=331.20
diff --git a/PKGBUILD b/PKGBUILD
index d99fdc5a90c..80b6dab1b62 100644..100755
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -112,13 +112,10 @@ package_xorg-server-git() {
depends=(libepoxy libxdmcp libxfont libpciaccess libdrm pixman libgcrypt libxau xorg-server-common-git xf86-input-evdev libxshmfence libgl)
# see src/xserver/hw/xfree86/common/xf86Module.h for ABI versions - we provide major numbers that drivers can depend on
# and /usr/lib/pkgconfig/xorg-server.pc in xorg-server-devel-git pkg
- _ABI_VIDEODRV="$(grep -Po "VIDEODRV_V.*\(\K[^)]*" xserver/hw/xfree86/common/xf86Module.h | sed "s/, /./")"
- _ABI_XINPUT="$(grep -Po "XINPUT_V.*\(\K[^)]*" xserver/hw/xfree86/common/xf86Module.h | sed "s/, /./")"
- _ABI_EXTENSION="$(grep -Po "EXTENSION_V.*\(\K[^)]*" xserver/hw/xfree86/common/xf86Module.h | sed "s/, /./")"
- provides=("X-ABI-VIDEODRV_VERSION=$_ABI_VIDEODRV"
- "X-ABI-XINPUT_VERSION=$_ABI_XINPUT"
- "X-ABI-EXTENSION_VERSION=$_ABI_EXTENSION"
- 'x-server' 'xorg-server')
+ for VAR in VIDEODRV XINPUT EXTENSION; do
+ provides+=("X-ABI-${VAR}_VERSION=$(grep -Po "${VAR}_V.*\(\K[^)]*" xserver/hw/xfree86/common/xf86Module.h |& sed 's/, /./')")
+ done
+ provides+=('x-server' 'xorg-server')
groups=('xorg')
conflicts=('nvidia-utils<=331.20' 'glamor-egl' 'xf86-video-modesetting' 'xorg-server')
replaces=('glamor-egl' 'xf86-video-modesetting')